// Test multiple assignment
// $Rev: 930 $ $LastChangedDate: 2002-09-11 09:36:02 +0200 (Wed, 11 Sep 2002) $

def print_int(x) (puts(itoa(x)))
void print_pair(*(int, int) p)
{
	let (x, y) = p in {
		puts("(");
		print_int(x);
		puts(",");
		print_int(y);
		puts(") ");
	}
}

section init
{
	int x = 1;
	int y = 2;

	print_pair((x,y));
	(x,y) = (y,x);
	print_pair((x,y));
	(x,y) = (y,x);
	print_pair((x,y));

	*(int, int) p;
	p = (3,4);
	(x,y) = p;
	print_pair((x,y));
	(x,y) = (y,x);
	print_pair((x,y));

	let (a, b) = (x, y) in {
		x = b;
		y = a;
	}
	print_pair((x,y));

	switch (x, y) {
	case (a, b):
		x = b;
		y = a;
	}
	print_pair((x,y));
	
	puts(".\n");
}

/* 
 * expected-build-status: ok
 * run-test: yes
 * expected-output: (1,2) (2,1) (1,2) (3,4) (4,3) (3,4) (4,3) .
 */
